package net.northking.cctp.executePlan.dto.planBatch;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * <p>Title: BatchAppInfoDto</p>
 * <p>Description: </p>
 *
 * @Author chenjianfeng
 * @Version V1.0
 * @Date 2023/10/5 19:39
 * <p>Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.</p>
 */
public class BatchAppInfoDto implements Serializable {

    /**
     * 设备id
     */
    @ApiModelProperty("设备id")
    private String deviceId;

    /**
     * 设备名称
     */
    @ApiModelProperty("设备名称")
    private String deviceName;

    /**
     * appId
     */
    @ApiModelProperty("appId")
    private String appId;

    /**
     * app名称
     */
    @ApiModelProperty("appName")
    private String appName;

    /**
     * app安装耗时
     */
    @ApiModelProperty("app安装耗时")
    private String installTime;
    /**
     * app安装耗时最大值
     */
    @ApiModelProperty("app安装耗时最大值")
    private String maxInstallTime;
    /**
     * app启动耗时
     */
    @ApiModelProperty("app启动耗时")
    private String startElapsedTime;
    /**
     * app启动耗时最大值
     */
    @ApiModelProperty("app启动耗时最大值")
    private String maxStartElapsedTime;
    /**
     * app cpu占用率
     */
    @ApiModelProperty("app cpu占用率")
    private String appCpu;
    /**
     * app cpu占用率最大值
     */
    @ApiModelProperty("app cpu占用率最大值")
    private String maxAppCpu;
    /**
     * app内存占用
     */
    @ApiModelProperty("app内存占用")
    private String appMemory;
    /**
     * app内存占用最大值
     */
    @ApiModelProperty("app内存占用最大值")
    private String maxAppMemory;
    /**
     * app流量消耗
     */
    @ApiModelProperty("app流量消耗")
    private String appFlow;
    /**
     * app流量消耗最大值
     */
    @ApiModelProperty("app流量消耗最大值")
    private String maxAppFlow;
    /**
     * 设备CPU占用率
     */
    @ApiModelProperty("设备CPU占用率")
    private String deviceCpu;
    /**
     * 设备CPU占用率最大值
     */
    @ApiModelProperty("设备CPU占用率最大值")
    private String maxDeviceCpu;
    /**
     * 设备内存占用
     */
    @ApiModelProperty("设备内存占用")
    private String deviceMemory;
    /**
     * 设备内存占用最大值
     */
    @ApiModelProperty("设备内存占用最大值")
    private String maxDeviceMemory;
    /**
     * 设备流量
     */
    @ApiModelProperty("设备流量消耗")
    private String deviceFlow;
    /**
     * 设备流量最大值
     */
    @ApiModelProperty("设备流量消耗最大值")
    private String maxDeviceFlow;
    /**
     * 电池温度
     */
    @ApiModelProperty("电池温度")
    private String cellTemperature;
    /**
     * 电池温度最大值
     */
    @ApiModelProperty("电池温度最大值")
    private String maxCellTemperature;

    public String getDeviceId() {
        return deviceId;
    }

    public void setDeviceId(String deviceId) {
        this.deviceId = deviceId;
    }

    public String getDeviceName() {
        return deviceName;
    }

    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName;
    }

    public String getAppId() {
        return appId;
    }

    public void setAppId(String appId) {
        this.appId = appId;
    }

    public String getAppName() {
        return appName;
    }

    public void setAppName(String appName) {
        this.appName = appName;
    }

    public String getInstallTime() {
        return installTime;
    }

    public void setInstallTime(String installTime) {
        this.installTime = installTime;
    }

    public String getMaxInstallTime() {
        return maxInstallTime;
    }

    public void setMaxInstallTime(String maxInstallTime) {
        this.maxInstallTime = maxInstallTime;
    }

    public String getStartElapsedTime() {
        return startElapsedTime;
    }

    public void setStartElapsedTime(String startElapsedTime) {
        this.startElapsedTime = startElapsedTime;
    }

    public String getMaxStartElapsedTime() {
        return maxStartElapsedTime;
    }

    public void setMaxStartElapsedTime(String maxStartElapsedTime) {
        this.maxStartElapsedTime = maxStartElapsedTime;
    }

    public String getAppCpu() {
        return appCpu;
    }

    public void setAppCpu(String appCpu) {
        this.appCpu = appCpu;
    }

    public String getMaxAppCpu() {
        return maxAppCpu;
    }

    public void setMaxAppCpu(String maxAppCpu) {
        this.maxAppCpu = maxAppCpu;
    }

    public String getAppMemory() {
        return appMemory;
    }

    public void setAppMemory(String appMemory) {
        this.appMemory = appMemory;
    }

    public String getMaxAppMemory() {
        return maxAppMemory;
    }

    public void setMaxAppMemory(String maxAppMemory) {
        this.maxAppMemory = maxAppMemory;
    }

    public String getAppFlow() {
        return appFlow;
    }

    public void setAppFlow(String appFlow) {
        this.appFlow = appFlow;
    }

    public String getMaxAppFlow() {
        return maxAppFlow;
    }

    public void setMaxAppFlow(String maxAppFlow) {
        this.maxAppFlow = maxAppFlow;
    }

    public String getDeviceCpu() {
        return deviceCpu;
    }

    public void setDeviceCpu(String deviceCpu) {
        this.deviceCpu = deviceCpu;
    }

    public String getMaxDeviceCpu() {
        return maxDeviceCpu;
    }

    public void setMaxDeviceCpu(String maxDeviceCpu) {
        this.maxDeviceCpu = maxDeviceCpu;
    }

    public String getDeviceMemory() {
        return deviceMemory;
    }

    public void setDeviceMemory(String deviceMemory) {
        this.deviceMemory = deviceMemory;
    }

    public String getMaxDeviceMemory() {
        return maxDeviceMemory;
    }

    public void setMaxDeviceMemory(String maxDeviceMemory) {
        this.maxDeviceMemory = maxDeviceMemory;
    }

    public String getDeviceFlow() {
        return deviceFlow;
    }

    public void setDeviceFlow(String deviceFlow) {
        this.deviceFlow = deviceFlow;
    }

    public String getMaxDeviceFlow() {
        return maxDeviceFlow;
    }

    public void setMaxDeviceFlow(String maxDeviceFlow) {
        this.maxDeviceFlow = maxDeviceFlow;
    }

    public String getCellTemperature() {
        return cellTemperature;
    }

    public void setCellTemperature(String cellTemperature) {
        this.cellTemperature = cellTemperature;
    }

    public String getMaxCellTemperature() {
        return maxCellTemperature;
    }

    public void setMaxCellTemperature(String maxCellTemperature) {
        this.maxCellTemperature = maxCellTemperature;
    }
}
